Xapian::LatLongDistanceKeyMaker Class Reference

KeyMaker subclass which sorts by distance from a latitude/longitude. More...

Inheritance diagram for Xapian::LatLongDistanceKeyMaker:
[legend]

## Public Member Functions

std::string | operator() (const Xapian::Document &doc) const
| Build a key string for a Document. More...
Public Member Functions inherited from Xapian::KeyMaker
| KeyMaker ()
| Default constructor.
virtual | ~KeyMaker ()
| Virtual destructor, because we have virtual methods. More...

## Detailed Description

KeyMaker subclass which sorts by distance from a latitude/longitude.

Experimental - see http://xapian.org/docs/deprecation#experimental-features

Results are ordered by the distance from a fixed point, or list of points, calculated according to the metric supplied. If multiple points are supplied (either in the constructor, or in the coordinates stored in a document), the closest pointwise distance is used.

If a document contains no coordinate stored in the specified slot, a special value for the distance will be used. This defaults to a large number, so that such results get a low rank, but may be specified by a constructor parameter.

## Member Function Documentation

std::string Xapian::LatLongDistanceKeyMaker::operator() | ( | const Xapian::Document & | doc | ) | const

virtual

Build a key string for a Document.

These keys can be used for sorting or collapsing matching documents.

Parameters

  doc | Document object to build a key for.

Implements Xapian::KeyMaker.

The documentation for this class was generated from the following file:

- xapian/geospatial.h